APT-CONFIG(8)

NAZWA
apt-config - Program odpytywania konfiguracji APT

STRESZCZENIE

apt-config [--empty] [--format '%f "%v";%n'] [-o=opcja_konfiguracji] [-c=plik_konfiguracyjny] {shell | dump | {-v | --version} | {-h | --help}}

OPIS

apt-config jest wewnętrznym programem używanym przez różne części pakietu APT w celu zapewnienia spójności konfiguracji. Uzyskuje dostęp do głównego pliku konfiguracyjnego /etc/apt/apt.conf w sposób łatwy do użycia w programach skryptowych.

Jedno z poniższych poleceń musi być użyte, chyba że została podana opcja -h albo --help.

shell
    shell pozwala skryptom powłoki na uzyskanie informacji o konfiguracji. Wymaga podania pary argumentów: pierwszym z nich jest zmienna powłoki, a drugim nazwa zmiennej konfiguracyjnej do odczytania. Wyjściem jest lista przypisań zmiennych powłoki dla każdej odczytanej wartości konfiguracji. Przykład użycia w skrypcie powłoki:

        OPTS="-f"
        RES=`apt-config shell OPTS MojaAplikacja::opcje`
        eval $RES
    Powyższe ustawi wartość zmiennej środowiskowej powłoki $OPTS na wartość zmiennej MojaAplikacja::opcje, z domyślną wartością -f.

    Do zmienna konfiguracji można dołączyć /[fbdi]. f zwraca nazwy plików, d - katalogi, b - true lub false, a i - liczbę. Każda ze zwracanych wartości jest ujednolicana i weryfikowana.

dump
    Wyświetla zawartość przestrzeni konfiguracji.

OPCJE

Wszystkie opcje linii poleceń mogą być ustawione w pliku konfiguracyjnym. Poniższe opisy wskazują, którą opcję w pliku konfiguracyjnym należy ustawić. W przypadku opcji logicznych, można unieważnić ustawienia pliku konfiguracyjnego, używając -f-, --no-f, -f=no albo czegoś podobnego.

--empty
    Dołącza opcje mające pustą wartość. Jest to zachowanie domyślne, prosimy użyć --no-empty, aby usunąć takie opcje z wyjścia.

--format '%f "%v";%n'
    Definiuje wyjście każdej opcji konfiguracji. %t zostanie zastąpiony indywidualną nazwą znacznika, %f - pełną nazwą hierarchiczną opcji, a %v - wartością opcji. Jeśli użyje się dużych liter, to znaki specjalne występujące w wartości zostaną zakodowane, w taki sposób, żeby można ich było bezpiecznie użyć wewnątrz łańcuchów typu "quoted-string" definiowanych przez RFC822. Dodatkowo %n będzie zastąpiony przez znak nowej linii, a %N przez znak tabulacji. Znak % można uzyskać, używając %%.

-h, --help
    Wyświetla krótkie informacje o użyciu.

-v, --version
    Wyświetla wersję programu.

--audit
    Show audit (and notice) messages. This overrides the quiet option, but only for notice messages, not progress ones.

-c, --config-file
    Plik konfiguracyjny. Podaje plik konfiguracyjny do użycia. Program najpierw przeczyta swój domyślny plik konfiguracyjny, a następnie plik podany jako argument tej opcji. Jeśli jest potrzeba ustawienia opcji konfiguracji zanim domyślny plik konfiguracyjny zostanie przetworzony, należy podać plik do użycia w zmiennej środowiskowej APT_CONFIG. Informacje o składni pliku można znaleźć w apt.conf(5).

-o, --option
    Set a Configuration Option; This will set an arbitrary configuration option. The syntax is -o Foo::Bar=bar. -o and --option can be used multiple times to set different options.

--no-color, --color
    Turn colors on or off. Colors are on by default on supported terminals for apt(8) and can also be disabled using the NO_COLOR or APT_NO_COLOR environment variables, or further configured by the APT::Color configuration option and scope, see apt.conf(5) for information on that.

ZOBACZ TAKŻE

apt.conf(5)

DIAGNOSTYKA

apt-config zwraca zero, gdy zakończyło się pomyślnie, 100 - w przypadku błędu.

BUGS

Strona błędów APT[1]. Aby zgłosić błąd w APT, proszę przeczytać /usr/share/doc/debian/bug-reporting.txt lub opis polecenia reportbug(1).

TŁUMACZENIE

Tłumaczenie stron podręcznika: Robert Luberda <robert@debian.org>, 2000-2012. Tłumaczenie przewodnika offline: Krzysztof Fiertek <akfedux@megapolis.pl>, 2004

Proszę zauważyć, że przetłumaczony dokument może zawierać fragmenty nieprzetłumaczone. Ma to na celu uniknięcie utracenia istotnych informacji, w przypadkach gdy oryginał zostanie zaktualizowany, a tłumaczenie - nie.

AUTORZY

Jason Gunthorpe

zespół APT

PRZYPISY

1.  Strona błędów APT
    https://bugs.debian.org/src:apt